import * as React from "react";

export {
    showPopup,
    closePopup,
    showAlert,
    showConfirmation,
    showNotification,
    scrollToTop,
    getScrollbarWidth,
    playMessage
} from './utils';

export function localize(strings): void;

type LangPack = {[key: string]: string};

export function replaceUnTranslatedDefaultProps(Component: React.ReactInstance, langPack: LangPack): void;
export function replaceUnTranslatedString(obj: object, langPack: LangPack): void;